/*
  ==============================================================================

   This file is part of the JUCE framework.
   Copyright (c) Raw Material Software Limited

   JUCE is an open source framework subject to commercial or open source
   licensing.

   By downloading, installing, or using the JUCE framework, or combining the
   JUCE framework with any other source code, object code, content or any other
   copyrightable work, you agree to the terms of the JUCE End User Licence
   Agreement, and all incorporated terms including the JUCE Privacy Policy and
   the JUCE Website Terms of Service, as applicable, which will bind you. If you
   do not agree to the terms of these agreements, we will not license the JUCE
   framework to you, and you must discontinue the installation or download
   process and cease use of the JUCE framework.

   JUCE End User Licence Agreement: https://juce.com/legal/juce-8-licence/
   JUCE Privacy Policy: https://juce.com/juce-privacy-policy
   JUCE Website Terms of Service: https://juce.com/juce-website-terms-of-service/

   Or:

   You may also use this code under the terms of the AGPLv3:
   https://www.gnu.org/licenses/agpl-3.0.en.html

   THE JUCE FRAMEWORK IS PROVIDED "AS IS" WITHOUT ANY WARRANTY, AND ALL
   WARRANTIES, WHETHER EXPRESSED OR IMPLIED, INCLUDING WARRANTY OF
   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, ARE DISCLAIMED.

  ==============================================================================
*/

namespace juce::UnitTestCategories
{

    static const String analytics                  { "Analytics" };
    static const String audio                      { "Audio" };
    static const String audioProcessorParameters   { "AudioProcessorParameters" };
    static const String audioProcessors            { "AudioProcessors" };
    static const String blocks                     { "Blocks" };
    static const String compression                { "Compression" };
    static const String containers                 { "Containers" };
    static const String cryptography               { "Cryptography" };
    static const String dsp                        { "DSP" };
    static const String files                      { "Files" };
    static const String graphics                   { "Graphics" };
    static const String gui                        { "GUI" };
    static const String javascript                 { "Javascript" };
    static const String json                       { "JSON" };
    static const String maths                      { "Maths" };
    static const String memory                     { "Memory" };
    static const String midi                       { "MIDI" };
    static const String native                     { "Native" };
    static const String networking                 { "Networking" };
    static const String osc                        { "OSC" };
    static const String smoothedValues             { "SmoothedValues" };
    static const String streams                    { "Streams" };
    static const String text                       { "Text" };
    static const String threads                    { "Threads" };
    static const String time                       { "Time" };
    static const String values                     { "Values" };
    static const String xml                        { "XML" };

} // namespace juce::UnitTestCategories
